%define	srcname	OpenSceneGraph

Summary:	A C++ scene graph API on OpenGL for real time graphics
Name:		openscenegraph
Version:	3.0.1
Release:	%mkrel 6
License:	LGPLv2+ with exceptions
Group:		System/Libraries
Source0:	http://www.openscenegraph.org/downloads/developer_releases/%{srcname}-%{version}.zip
Patch2:		OpenSceneGraph-2.8.3-ffmpeg.patch
URL:		http://www.openscenegraph.org/
Provides:	OpenSceneGraph = %{version}-%{release}
Obsoletes:	OpenSceneGraph < 2.8.0-2
BuildRequires:	png-devel tiff-devel ungif-devel jpeg-devel jasper-devel
BuildRequires:	gdal-devel freetype2-devel mesagl-devel libxine-devel
BuildRequires:	curl-devel gtk+2-devel gtkglext-devel librsvg-devel
BuildRequires:	wxgtku2.8-devel
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	cmake

%description
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time 
visualization. Uses range from visual simulation, scientific modeling, virtual 
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, portability, and extensibility.

%files
%doc AUTHORS.txt ChangeLog LICENSE.txt NEWS.txt README.txt
%doc doc/*
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/osgPlugins-%{version}

#------------------------------------------------------------------

%package devel
Summary:	Development package for %name
Group:		Development/C++
Provides:	OpenSceneGraph-devel = %{version}-%{release}
Obsoletes:	OpenSceneGraph-devel < 2.8.0-2
Requires:	%{name} = %{version}

%description devel
This package contains development files for %name

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#------------------------------------------------------------------

%prep
%setup -qn %{srcname}-%{version}
%patch2 -p0

%build
%cmake
%make

%install
%makeinstall_std -C build



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-6.mga3
+ Revision: 362138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 fwang <fwang> 3.0.1-5.mga2
+ Revision: 187417
- rebuild for new tiff

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 3.0.1-4.mga2
+ Revision: 162069
- rebuild against new geos

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 3.0.1-3.mga2
+ Revision: 149655
- rebuild against new geos and changes in gdal

* Tue Sep 27 2011 ovitters <ovitters> 3.0.1-2.mga2
+ Revision: 149410
- rebuild for new poppler

* Sun Sep 18 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 144814
- new version 3.0.1

* Wed Sep 14 2011 fwang <fwang> 3.0.0-4.mga2
+ Revision: 143439
- rebuild for new libpng

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jul 20 2011 fwang <fwang> 3.0.0-2.mga2
+ Revision: 127421
- maybe only gl is enough

* Mon Jul 18 2011 fwang <fwang> 3.0.0-1.mga2
+ Revision: 125925
- update file list
- new version 3.0.0

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Thu Jun 16 2011 fwang <fwang> 2.8.5-1.mga2
+ Revision: 108061
- linkage patch not needed
- New version 2.8.5

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 2.8.3-2.mga1
+ Revision: 89189
- rebuild agains new libgdal-1.8.0

* Sat Apr 16 2011 ennael <ennael> 2.8.3-1.mga1
+ Revision: 86786
- clean spec file
- imported package openscenegraph

